> ## Documentation Index
> Fetch the complete documentation index at: https://jupiter-feat-lend-dex-integration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Price Withdraw

> Request for a base64-encoded unsigned price-based recurring order withdrawal transaction. Price-based recurring orders are deprecated, please use time-based recurring orders instead



## OpenAPI

````yaml openapi-spec/recurring/recurring.yaml post /priceWithdraw
openapi: 3.0.0
info:
  title: Jupiter Recurring Order API
  version: 1.0.0
  description: Jupiter Recurring Order API Schema
servers:
  - url: https://api.jup.ag/recurring/v1
    description: Jupiter Recurring Order API Endpoint
security: []
paths:
  /priceWithdraw:
    post:
      summary: priceWithdraw
      description: >
        Request for a base64-encoded unsigned price-based recurring order
        withdrawal transaction to be used in `POST /recurring/v1/execute`.
        Price-based recurring orders are deprecated, please use time-based
        recurring orders instead.
      operationId: price-withdraw
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WithdrawPriceRecurring'
        required: true
      responses:
        '200':
          description: Withdraw transaction created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecurringResponse'
              example:
                requestId: e5f6a7b8-c9d0-1234-ef01-345678901234
                transaction: >-
                  AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAEN...
        '400':
          description: Bad request
        '500':
          description: Internal server error
      deprecated: true
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WithdrawPriceRecurring:
      type: object
      deprecated: true
      description: 'DEPRECATED: Price-based recurring orders are deprecated'
      required:
        - user
        - order
        - inputOrOutput
      properties:
        amount:
          type: string
          nullable: true
          description: If no `amount` is provided, it will withdraw the entire amount
          format: int64
          minimum: 0
        inputOrOutput:
          $ref: '#/components/schemas/Withdrawal'
        order:
          type: string
          description: Base-58 account which is the Recurring Order account
        user:
          type: string
    RecurringResponse:
      type: object
      required:
        - requestId
        - transaction
      properties:
        requestId:
          type: string
          description: Required to make a request to `/execute`
        transaction:
          type: string
          description: Unsigned base-64 encoded transaction
    Withdrawal:
      type: string
      enum:
        - In
        - Out
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Get API key via https://developers.jup.ag/portal

````